Skip to main content
POST
Create operation type

Authorizations

Authorization
string
header
required

An API token from Sign in, sent as Authorization: Bearer <token>. Tokens last 30 days.

Body

application/json
name
string
required

Operation type name. Must not be greater than 255 characters.

Example:

"Receipts"

type
enum<string>
required

Operation type value.

Available options:
incoming,
outgoing,
internal,
dropship
Example:

"incoming"

sequence_code
string
required

Sequence prefix. Must not be greater than 255 characters.

Example:

"IN"

create_backorder
enum<string>
required

Backorder policy.

Available options:
ask,
always,
never
Example:

"ask"

source_location_id
integer
required

Source location ID. The id of an existing record in the inventories_locations table.

Example:

1

destination_location_id
integer
required

Destination location ID. The id of an existing record in the inventories_locations table.

Example:

2

print_label
boolean | null

Generate shipping labels.

Example:

false

warehouse_id
integer | null

Warehouse ID. The id of an existing record in the inventories_warehouses table.

Example:

1

reservation_method
enum<string> | null

Reservation method.

Available options:
at_confirm,
manual,
by_date
Example:

"at_confirm"

auto_show_reception_report
boolean | null

Auto show reception report.

Example:

false

company_id
integer | null

Company ID. The id of an existing record in the companies table.

Example:

1

return_operation_type_id
integer | null

Return operation type ID. The id of an existing record in the inventories_operation_types table.

Example:

2

move_type
enum<string> | null

Shipping policy.

Available options:
direct,
one
Example:

"direct"

use_create_lots
boolean | null

Allow creating new lots.

Example:

false

use_existing_lots
boolean | null

Allow selecting existing lots.

Example:

false

Response

Created